
#import <appkit/appkit.h>

@interface PGController:Object
{
    /* Object variables */
    id	aButton;
    id	bButton;
    id	selectButton;
    id	startButton;
    id	upButton;
    id	downButton;
    id	leftButton;
    id	rightButton;
    id	ringSlider;
    id	middleSlider;
    id	indexSlider;
    id	thumbSlider;
    id	powerGlove;
    id	xField;
    id	yField;
    id	zField;
    id	rollField;
    id  powerGloveView;
    id  infoPanel;
    id  preferencesPanel;
    id  sampleDelayField;
    id  sampleDelaySlider;
    
    /* Misc. variables */
    DPSTimedEntry powerGloveTE;
    float sampleDelay;
}

/* Action methods */
- showInfoPanel:sender;
- showPreferencesPanel:sender;
- setSampleDelay:sender;

/* Misc. methods */
- getPowerGloveData;

@end

/* Delegate methods */
@interface PGController(ApplicationDelegate)

- appDidInit:sender;

@end

